Dropr Support Camp

Why doesn't Dropr work in Internet Explorer 7 and older?

Grandpa IE has served the world for almost a decade (tell it to Chrome!) and it can't handle things like Dropr anymore. We recommend you let it rest in peace and get yourself a modern browser. We suggest any of the ones listed below.

If you are unfortunate enough to be stuck with IE6 for some reason, we do apologise. And are deeply sorry.

Have more questions? Submit a request
Powered by Zendesk